View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
11580Bug reportsSurvey participants (Tokens)public2016-08-29 12:38
Reporteruk Assigned Toc_schmitz  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.50.x 
Fixed in Version2.50.x 
Summary11580: Error 403 at captcha query
DescriptionI get an error 403 in Capcha query in my httpd nginx.

2016/08/25 09:59:10 [error] 6512#0: *access forbidden by rule, client: xxx, server: xxx, request: "POST /survey/index/sid/.783182. HTTP/1.1", host: "xxx", referrer: "xxx"
Steps To Reproducetesting it yourself :-)
Additional Informationsee my little patch
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)2.50+160823
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysql 5.6
Server OS (if known)debian/stable jessie
Webserver software & version (if known)nginx 1.x
PHP Version5.6

Activities

uk

uk

2016-08-25 10:47

reporter  

frontpage.patch (1,396 bytes)   
diff -ru old/application/views/survey/frontpage/enterCaptcha.php new/application/views/survey/frontpage/enterCaptcha.php
--- old/application/views/survey/frontpage/enterCaptcha.php	2016-08-23 17:08:56.000000000 +0200
+++ new/application/views/survey/frontpage/enterCaptcha.php	2016-08-25 10:09:39.817659338 +0200
@@ -16,7 +16,7 @@
     </div>
     <?php endif; ?>
     <div class="container">
-        <?php echo CHtml::beginForm(array("/survey/index/sid/.$iSurveyId."), 'post', array(
+        <?php echo CHtml::beginForm(array("/survey/index/sid/{$iSurveyId}"), 'post', array(
             'id' => 'tokenform',
             'class' => 'form-horizontal col-sm-12 col-md-10 col-md-offset-1'
         )); ?>
diff -ru old/application/views/survey/frontpage/enterToken.php new/application/views/survey/frontpage/enterToken.php
--- old/application/views/survey/frontpage/enterToken.php	2016-08-23 17:08:56.000000000 +0200
+++ new/application/views/survey/frontpage/enterToken.php	2016-08-25 10:10:06.817793231 +0200
@@ -22,7 +22,7 @@
     <?php endif; ?>
 
     <div class="container">
-        <?php echo CHtml::beginForm(array("/survey/index/sid/.$iSurveyId."), 'post', array(
+        <?php echo CHtml::beginForm(array("/survey/index/sid/{$iSurveyId}"), 'post', array(
             'id' => 'tokenform',
             'class' => 'form-horizontal col-sm-12 col-md-10 col-md-offset-1'
         )); ?>
frontpage.patch (1,396 bytes)   
LouisGac

LouisGac

2016-08-25 11:37

developer   ~40486

thank you for the patch ;-)
c_schmitz

c_schmitz

2016-08-25 11:54

administrator   ~40488

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=20227
c_schmitz

c_schmitz

2016-08-25 11:54

administrator   ~40489

Thank you very much!
c_schmitz

c_schmitz

2016-08-29 12:38

administrator   ~40538

Version 2.51.0 Build 160829 released

Related Changesets

LimeSurvey: master 7069e460

2016-08-25 09:54:45

c_schmitz

Details Diff
Fixed issue 11580: Error 403 at captcha query Affected Issues
11580
mod - application/views/survey/frontpage/enterCaptcha.php Diff File
mod - application/views/survey/frontpage/enterToken.php Diff File

Issue History

Date Modified Username Field Change
2016-08-25 10:47 uk New Issue
2016-08-25 10:47 uk File Added: frontpage.patch
2016-08-25 11:37 LouisGac Note Added: 40486
2016-08-25 11:37 LouisGac Assigned To => mfaber
2016-08-25 11:37 LouisGac Status new => assigned
2016-08-25 11:51 c_schmitz Assigned To mfaber => markusfluer
2016-08-25 11:54 c_schmitz Assigned To markusfluer => c_schmitz
2016-08-25 11:54 c_schmitz Changeset attached => LimeSurvey master 7069e460
2016-08-25 11:54 c_schmitz Note Added: 40488
2016-08-25 11:54 c_schmitz Resolution open => fixed
2016-08-25 11:54 c_schmitz Note Added: 40489
2016-08-25 11:54 c_schmitz Status assigned => resolved
2016-08-25 11:54 c_schmitz Fixed in Version => 2.50.x
2016-08-29 12:38 c_schmitz Note Added: 40538
2016-08-29 12:38 c_schmitz Status resolved => closed
2016-12-08 10:39 c_schmitz Category Tokens => Survey participants (Tokens)